<?php



$tdatalastinstituteattend = array();
$tdatalastinstituteattend[".searchableFields"] = array();
$tdatalastinstituteattend[".ShortName"] = "lastinstituteattend";
$tdatalastinstituteattend[".OwnerID"] = "";
$tdatalastinstituteattend[".OriginalTable"] = "lastinstituteattend";


$defaultPages = my_json_decode( "{\"add\":\"add\",\"search\":\"search\"}" );

$tdatalastinstituteattend[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"search\":[\"search\"]}" );
$tdatalastinstituteattend[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"search\":[\"search\"]}" ) );
$tdatalastinstituteattend[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelslastinstituteattend = array();
$fieldToolTipslastinstituteattend = array();
$pageTitleslastinstituteattend = array();
$placeHolderslastinstituteattend = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelslastinstituteattend["English"] = array();
	$fieldToolTipslastinstituteattend["English"] = array();
	$placeHolderslastinstituteattend["English"] = array();
	$pageTitleslastinstituteattend["English"] = array();
	$fieldLabelslastinstituteattend["English"]["Last_Institution_Attended"] = "Last Institution Attended";
	$fieldToolTipslastinstituteattend["English"]["Last_Institution_Attended"] = "";
	$placeHolderslastinstituteattend["English"]["Last_Institution_Attended"] = "";
	$fieldLabelslastinstituteattend["English"]["Certificate_Attained"] = "Certificate Attained";
	$fieldToolTipslastinstituteattend["English"]["Certificate_Attained"] = "";
	$placeHolderslastinstituteattend["English"]["Certificate_Attained"] = "";
	if (count($fieldToolTipslastinstituteattend["English"]))
		$tdatalastinstituteattend[".isUseToolTips"] = true;
}


	$tdatalastinstituteattend[".NCSearch"] = true;



$tdatalastinstituteattend[".shortTableName"] = "lastinstituteattend";
$tdatalastinstituteattend[".nSecOptions"] = 0;

$tdatalastinstituteattend[".mainTableOwnerID"] = "";
$tdatalastinstituteattend[".entityType"] = 0;

$tdatalastinstituteattend[".strOriginalTableName"] = "lastinstituteattend";

	



$tdatalastinstituteattend[".showAddInPopup"] = false;

$tdatalastinstituteattend[".showEditInPopup"] = false;

$tdatalastinstituteattend[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatalastinstituteattend[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatalastinstituteattend[".listAjax"] = false;
//	temporary
$tdatalastinstituteattend[".listAjax"] = false;

	$tdatalastinstituteattend[".audit"] = false;

	$tdatalastinstituteattend[".locking"] = false;


$pages = $tdatalastinstituteattend[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatalastinstituteattend[".edit"] = true;
	$tdatalastinstituteattend[".afterEditAction"] = 1;
	$tdatalastinstituteattend[".closePopupAfterEdit"] = 1;
	$tdatalastinstituteattend[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatalastinstituteattend[".add"] = true;
$tdatalastinstituteattend[".afterAddAction"] = 1;
$tdatalastinstituteattend[".closePopupAfterAdd"] = 1;
$tdatalastinstituteattend[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatalastinstituteattend[".list"] = true;
}

$tdatalastinstituteattend[".updateSelected"] = true;


$tdatalastinstituteattend[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatalastinstituteattend[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatalastinstituteattend[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatalastinstituteattend[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatalastinstituteattend[".printFriendly"] = true;
}



$tdatalastinstituteattend[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatalastinstituteattend[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatalastinstituteattend[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatalastinstituteattend[".isUseAjaxSuggest"] = true;

$tdatalastinstituteattend[".rowHighlite"] = true;



						

$tdatalastinstituteattend[".ajaxCodeSnippetAdded"] = false;

$tdatalastinstituteattend[".buttonsAdded"] = false;

$tdatalastinstituteattend[".addPageEvents"] = false;

// use timepicker for search panel
$tdatalastinstituteattend[".isUseTimeForSearch"] = false;




$tdatalastinstituteattend[".allSearchFields"] = array();
$tdatalastinstituteattend[".filterFields"] = array();
$tdatalastinstituteattend[".requiredSearchFields"] = array();

$tdatalastinstituteattend[".googleLikeFields"] = array();
$tdatalastinstituteattend[".googleLikeFields"][] = "Last Institution Attended";
$tdatalastinstituteattend[".googleLikeFields"][] = "Certificate Attained";



$tdatalastinstituteattend[".tableType"] = "list";

$tdatalastinstituteattend[".printerPageOrientation"] = 0;
$tdatalastinstituteattend[".nPrinterPageScale"] = 100;

$tdatalastinstituteattend[".nPrinterSplitRecords"] = 40;

$tdatalastinstituteattend[".geocodingEnabled"] = false;










$tdatalastinstituteattend[".pageSize"] = 20;

$tdatalastinstituteattend[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatalastinstituteattend[".strOrderBy"] = $tstrOrderBy;

$tdatalastinstituteattend[".orderindexes"] = array();

$tdatalastinstituteattend[".sqlHead"] = "SELECT `Last Institution Attended`,  	`Certificate Attained`";
$tdatalastinstituteattend[".sqlFrom"] = "FROM lastinstituteattend";
$tdatalastinstituteattend[".sqlWhereExpr"] = "";
$tdatalastinstituteattend[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatalastinstituteattend[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatalastinstituteattend[".arrGroupsPerPage"] = $arrGPP;

$tdatalastinstituteattend[".highlightSearchResults"] = true;

$tableKeyslastinstituteattend = array();
$tableKeyslastinstituteattend[] = "Last Institution Attended";
$tdatalastinstituteattend[".Keys"] = $tableKeyslastinstituteattend;


$tdatalastinstituteattend[".hideMobileList"] = array();




//	Last Institution Attended
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Last Institution Attended";
	$fdata["GoodName"] = "Last_Institution_Attended";
	$fdata["ownerTable"] = "lastinstituteattend";
	$fdata["Label"] = GetFieldLabel("lastinstituteattend","Last_Institution_Attended");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Last Institution Attended";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Last Institution Attended`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatalastinstituteattend["Last Institution Attended"] = $fdata;
		$tdatalastinstituteattend[".searchableFields"][] = "Last Institution Attended";
//	Certificate Attained
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Certificate Attained";
	$fdata["GoodName"] = "Certificate_Attained";
	$fdata["ownerTable"] = "lastinstituteattend";
	$fdata["Label"] = GetFieldLabel("lastinstituteattend","Certificate_Attained");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Certificate Attained";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Certificate Attained`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "certificateattained";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "Certificate Attained";
	$edata["LinkFieldType"] = 200;
	$edata["DisplayField"] = "Certificate Attained";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatalastinstituteattend["Certificate Attained"] = $fdata;
		$tdatalastinstituteattend[".searchableFields"][] = "Certificate Attained";


$tables_data["lastinstituteattend"]=&$tdatalastinstituteattend;
$field_labels["lastinstituteattend"] = &$fieldLabelslastinstituteattend;
$fieldToolTips["lastinstituteattend"] = &$fieldToolTipslastinstituteattend;
$placeHolders["lastinstituteattend"] = &$placeHolderslastinstituteattend;
$page_titles["lastinstituteattend"] = &$pageTitleslastinstituteattend;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["lastinstituteattend"] = array();
//	Sholarhips Data Entry Template
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Sholarhips Data Entry Template";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "Sholarhips_Data_Entry_Template";
	$detailsParam["dCaptionTable"] = GetTableCaption("Sholarhips_Data_Entry_Template");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["lastinstituteattend"][$dIndex] = $detailsParam;

	
		$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"][]="Last Institution Attended";

				$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"][]="LastInstitutuonAttended";
//	LiveApplicationTemplate
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="LiveApplicationTemplate";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "LiveApplicationTemplate";
	$detailsParam["dCaptionTable"] = GetTableCaption("LiveApplicationTemplate");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["lastinstituteattend"][$dIndex] = $detailsParam;

	
		$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"][]="Last Institution Attended";

				$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"][]="LastInstitutuonAttended";
//	LiveApplicationNew
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="LiveApplicationNew";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "LiveApplicationNew";
	$detailsParam["dCaptionTable"] = GetTableCaption("LiveApplicationNew");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["lastinstituteattend"][$dIndex] = $detailsParam;

	
		$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"][]="Last Institution Attended";

				$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"][]="LastInstitutuonAttended";
//	SholarhipsAdmin
	
	

		$dIndex = 3;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="SholarhipsAdmin";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "SholarhipsAdmin";
	$detailsParam["dCaptionTable"] = GetTableCaption("SholarhipsAdmin");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["lastinstituteattend"][$dIndex] = $detailsParam;

	
		$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["masterKeys"][]="Last Institution Attended";

				$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["lastinstituteattend"][$dIndex]["detailKeys"][]="LastInstitutuonAttended";

// tables which are master tables for current table (detail)
$masterTablesData["lastinstituteattend"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_lastinstituteattend()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`Last Institution Attended`,  	`Certificate Attained`";
$proto0["m_strFrom"] = "FROM lastinstituteattend";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Last Institution Attended",
	"m_strTable" => "lastinstituteattend",
	"m_srcTableName" => "lastinstituteattend"
));

$proto6["m_sql"] = "`Last Institution Attended`";
$proto6["m_srcTableName"] = "lastinstituteattend";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Certificate Attained",
	"m_strTable" => "lastinstituteattend",
	"m_srcTableName" => "lastinstituteattend"
));

$proto8["m_sql"] = "`Certificate Attained`";
$proto8["m_srcTableName"] = "lastinstituteattend";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "lastinstituteattend";
$proto11["m_srcTableName"] = "lastinstituteattend";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "Last Institution Attended";
$proto11["m_columns"][] = "Certificate Attained";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "lastinstituteattend";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "lastinstituteattend";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="lastinstituteattend";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_lastinstituteattend = createSqlQuery_lastinstituteattend();


	
		;

		

$tdatalastinstituteattend[".sqlquery"] = $queryData_lastinstituteattend;

$tableEvents["lastinstituteattend"] = new eventsBase;
$tdatalastinstituteattend[".hasEvents"] = false;

?>